Veracrypt error message after update wxgtk wxWidgets

https://archlinux.org/news/wxwidgets-32-update-may-need-manual-intervention/

After updating (replacing) wxgtk & wxWidgets a window is displayed when veracrypt is started:

/build/wxwidgets/src/wxWidgets-3.2.0/src/common/sizer.cpp(2288): assert "CheckSizerFlags(!((flags) & (wxALIGN_RIGHT | wxALIGN_CENTRE_HORIZONTAL | wxALIGN_BOTTOM | wxALIGN_CENTRE_VERTICAL)))" failed in DoInsert(): wxALIGN_RIGHT | wxALIGN_CENTRE_HORIZONTAL | wxALIGN_BOTTOM | wxALIGN_CENTRE_VERTICAL will be ignored in this sizer: wxEXPAND overrides alignment flags in box sizers

DO NOT PANIC !!

If you're an end user running a program not developed by you, please ignore this message, it is harmless, and please try reporting the problem to the program developers.

You may also set WXSUPPRESS_SIZER_FLAGS_CHECK environment variable to suppress all such checks when running this program.

If you're the developer, simply remove this flag from your code to avoid getting this message. You can also call wxSizerFlags::DisableConsistencyChecks() to globally disable all such checks, but this is strongly not recommended.

Operating System: EndeavourOS
KDE Plasma Version: 5.25.3
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.5
Kernel Version: 5.18.11-zen1-1-zen (64-bit)
Graphics Platform: X11
Processors: 8 × AMD FX™-8350 Eight-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: NVIDIA GeForce GT 630/PCIe/SSE2
Manufacturer: MSI
Product Name: MS-7641
System Version: 3.0

So…it seems safe to ignore.

1 Like

Same error showns in Gnome desktop. I did not find a place to file a bug, so i emailed the project.

1 Like

There is now a bug filled for this issue:

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.